%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%global php_extdir  %(php-config --extension-dir 2>/dev/null || echo "undefined")
%global php_version %(php-config --version 2>/dev/null || echo 0)

%define         module_version 3.1.0
%define         userid 99

Name:           php-xcache
Version:        3.1.0
Summary:        PHP accelerator, optimizer, encoder and dynamic content cacher
Release:        1%{?dist}
Epoch:          1

Group:          Development/Languages
License:        GPL
URL:            http://xcache.lighttpd.net/
Source0:        xcache-%{module_version}.tar.bz2
Source1:        xcache.ini
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: php, php-devel, sed
BuildRequires: autoconf, automake, libtool

Requires:       php(api) = %{php_apiver}

Conflicts: php-apc php-eaccelerator php-mmcache
Provides: php-zend_extension


%description
XCache is a fast, stable PHP opcode cacher that has been tested and is now
running on production servers under high load. It is tested (on linux) and
supported on all of the latest PHP cvs branches such as PHP_4_3 PHP_4_4
PHP_5_1 PHP_5_2 HEAD(6.x). ThreadSafe/Windows is also supported.


%prep
%setup -n xcache-%{module_version}


%build
phpize
%configure --enable-xcache

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__install} -D -m 0644 xcache.ini $RPM_BUILD_ROOT%{_sysconfdir}/php.d/xcache.ini



%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc xcache.ini
%config(noreplace) %{_sysconfdir}/php.d/xcache.ini
%{php_extdir}/xcache.so



%changelog
* Mon Dec 16 2013 Denis Frolov <d.frolov81@mail.ru> 3.1.0-1
- Update to 3.1.0

* Wed Mar 20 2013 Denis Frolov <d.frolov81@mail.ru> 3.0.1-1
- Update to 3.0.1

* Sun Nov 04 2012 Denis Frolov <d.frolov81@mail.ru> 3.0.0-1
- Update to 3.0.0

* Thu May 10 2012 Denis Frolov <d.frolov81@mail.ru> 2.0.0-1
- Update to 2.0.0

* Sat Jun 23 2011 Denis Frolov <d.frolov81@mail.ru> 1.3.2-1
- Update to 1.3.2

* Mon Dec 13 2010 Denis Frolov <d.frolov81@mail.ru> 1.3.1-1
- Update to 1.3.1

* Sat Mar 06 2010 Denis Frolov <d.frolov81@mail.ru> 1.3.0-1
- Update to 1.3.0

* Fri Sep 18 2009 Jason Litka <http://www.jasonlitka.com> 1:1.2.2-jason.3
- Updated source to 1.2.2
- Added conflict with php-mmcache, php-apc, and php-eaccelerator
- Replaced php version dep with api version
- Bumped epoch so upgrade would work with new "correct" versioning

* Tue Jul  3 2007 Jason Litka <http://www.jasonlitka.com/> 1.2.1-jason.2
- Changed the config file back to "noreplace"
- Removed the check for # of CPU cores since it couldn't tell the difference
  between real cores and virtual ones
- Changed the php requirement for install to the same version found during
  the build

* Tue Jul  3 2007 Jason Litka <http://www.jasonlitka.com/> 1.2.1-jason.1
- Updated sources to 1.2.1
- Changed naming convention to match my other packages

* Thu Dec 28 2006 Jason Litka <http://www.jasonlitka.com/> 1.2.0_0.2
- Removed the PHP API check so that the package would build on PHP 4.

* Wed Dec 20 2006 Jason Litka <http://www.jasonlitka.com/> 1.2.0_0.1
- Initial build
- Has Cache, Optimizer, and Coverager modules built but only the first two
  are enabled

